﻿using System.ComponentModel;

namespace Hotline.Share.Enums.FlowEngine;

/// <summary>
/// 节点状态
/// </summary>
public enum EWorkflowStepStatus
{
    /// <summary>
    /// 待受理
    /// </summary>
    [Description("待受理")]
    WaitForAccept = 0,

    /// <summary>
    /// 待办理（已受理）
    /// </summary>
    [Description("待办理")]
    WaitForHandle = 1,

    /// <summary>
    /// 已办理
    /// </summary>
    [Description("已办理")]
    Handled = 2,

    ///// <summary>
    ///// 无需办理（或签流程未办理节点）
    ///// </summary>
    //[Description("无需办理")]
    //NoNeedInSingleCountersign = 3,

    ///// <summary>
    ///// 未办理，由结束会签结束掉
    ///// </summary>
    //[Description("已办理")]
    //Terminal = 3,
}